## gtk+3.0 3.24.24

=== meson_options.txt ===
# GDK backends
option('x11_backend', type: 'boolean', value: true,
  description : 'Enable the X11 gdk backend (only when building on Unix)')
option('wayland_backend', type: 'boolean', value: true,
  description : 'Enable the wayland gdk backend (only when building on Unix except for macOS)')
option('broadway_backend', type: 'boolean', value: false,
  description : 'Enable the broadway (HTML5) gdk backend')
option('win32_backend', type: 'boolean', value: true,
  description : 'Enable the Windows gdk backend (only when building on Windows)')
option('quartz_backend', type: 'boolean', value: true,
  description : 'Enable the macOS gdk backend (only when building on macOS)')

# Optional dependencies
option('xinerama', type: 'combo', choices : ['yes', 'no', 'auto'], value : 'auto',
  description : 'Enable support for the Xinerama extension')
option('cloudproviders', type: 'boolean', value: false,
  description : 'Enable the cloudproviders support')
option('profiler', type: 'boolean', value: false,
  description : 'Enable profiler support')
option('tracker3', type: 'boolean', value: false,
  description : 'Enable Tracker3 filechooser search')

# Print backends
option('print_backends', type : 'string', value : 'auto',
  description : 'Build the specified print backends (comma-separated list, any of "cloudprint,cups,file,lpr,papi,test" or "auto")')
option('colord', type: 'combo', choices : ['yes', 'no', 'auto'], value : 'auto',
  description : 'Build colord support for the CUPS printing backend')

# Documentation and introspection
option('gtk_doc', type: 'boolean', value: 'false',
  description : 'Build API reference with gtk-doc')
option('man', type: 'boolean', value: 'false',
  description : 'Build man pages for installed tools')
option('introspection', type: 'boolean', value: 'true',
  description : 'Build introspection data (requires gobject-introspection)')

# Demos and binaries
option('demos', type: 'boolean', value: 'true',
  description : 'Build demo programs')
option('examples', type: 'boolean', value: 'true',
  description : 'Build examples')
option('tests', type: 'boolean', value: 'true',
  description : 'Build tests')
option('installed_tests', type: 'boolean', value: 'false',
  description : 'enable installed tests')

# input modules
option('builtin_immodules', type: 'combo', choices : ['yes', 'no', 'auto'],
       value: 'auto', description: 'Build immodules into GTK so/DLL')

## gtk+3.0 3.0.8

=== debian/changelog ===
gtk+3.0 (3.0.8-0ubuntu1) natty; urgency=low

  * New upstream release

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 04 Apr 2011 11:03:11 +1000

gtk+3.0 (3.0.6-0ubuntu1) natty; urgency=low

  * New upstream release
  * debian/libgtk-3-0.symbols:
    - Updated

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 28 Mar 2011 16:42:52 +1100

gtk+3.0 (3.0.5-0ubuntu1) natty; urgency=low

  * New upstream release

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 24 Mar 2011 17:26:16 +1100

gtk+3.0 (3.0.3-0ubuntu1) natty; urgency=low

  * New upstream release

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 15 Mar 2011 17:55:39 +1100

gtk+3.0 (3.0.2-0ubuntu1) natty; urgency=low

  * New upstream release

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 08 Mar 2011 15:38:10 +1100

gtk+3.0 (3.0.1-1ubuntu1) natty; urgency=low

  * New upstream release

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 24 Feb 2011 11:03:41 +1100

gtk+3.0 (3.0.1-1) experimental; urgency=low

  [ Robert Ancell ]
  * debian/libgtk-3-bin.postrm:
  * debian/libgtk-3-bin.preinst:
    - Fix package name used in diversion

  [ Emilio Pozuelo Monfort ]
  * New upstream release.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Tue, 22 Feb 2011 20:36:55 +0000

gtk+3.0 (3.0.0-1ubuntu2) natty; urgency=low

  * debian/libgtk-3-bin.postrm:
  * debian/libgtk-3-bin.preinst:
    - Fix package name used in diversion

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 22 Feb 2011 14:33:15 +1100

gtk+3.0 (3.0.0-1ubuntu1) natty; urgency=low

  * Merge with Debian experimental, remaining Ubuntu changes:
  * debian/control:
    - Add Vcs-Bzr link  
  * debian/libgtk2.0-0.symbols:
    - Add Ubuntu specific symbols
  * debian/watch:
    - Watch for unstable versions
  * debian/patches/043_menu_proxy.patch
    - Add GtkMenuProxy support for remoting menus.
  * debian/patches/062_dnd_menubar.patch:
    - Allow click on menubars for dnd
  * debian/patches/071_no_offscreen_widgets_grabbing.patch:
    - Don't let offscreen widgets do grabbing
  * debian/patches/072_indicator_menu_update.patch:
    - Change by Cody Russell to send an update event on menu changes,
      should make the bluetooth indicator refresh correctly
  * debian/patches/073_treeview_almost_fixed.patch:
    - "ubuntu-almost-fixed-height" private property to speed-up software-center
  * debian/patches/075_expose_gdkwidget_for_gtkrange.patch:
    - Expose the event window for ido
  * debian/patches/091_bugzilla_tooltip_refresh.patch:
    - Upstream bugzilla change to have better looking tooltips the gtk theme
      need to set "new-tooltip-style" to use those
  * debian/patches/092_default_to_xdg_document_dir.patch:
    - Use $XDG_DOCUMENTS_DIR as default directory rather than the home
      directory for the 'Print to File' function.

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 21 Feb 2011 15:49:45 +1100

gtk+3.0 (3.0.0-1) experimental; urgency=low

  [ Emilio Pozuelo Monfort ]
  * New upstream release.
    + debian/control.in:
      - Stop building the pixbuf package, it hasn't been ported to the
        new style API so is useless.
    + debian/patches/006_reenable_pixbuf_engine.patch:
      - Removed, no longer necessary.
    + debian/libgtk3.0-0.symbols:
      - Updated.
    + debian/libgtk3.0-dev.install.in,
      debian/libgtk3.0-dev.manpages,
      debian/rules:
      - gtk-builder-convert is gone, stop shipping it.

  [ Robert Ancell ]
  * New upstream release
  * Rename binary packages to new so naming
  * debian/control:
    - Bump build-depends on libglib2.0-dev, libgdk-pixbuf2.0-dev, libatk1.0-dev,
      gobject-introspection
  * debian/libgail-3-0.symbols:
  * debian/libgtk-3-0.symbols:
    - Updated
    - Mark symbols with stable version number
  * debian/rules:
    - Bump SHVER

  [ Emilio Pozuelo Monfort ]
  * Fix some leftovers after the renaming.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 19 Feb 2011 11:40:36 +0000

gtk+3.0 (3.0.0-0ubuntu1) natty; urgency=low

  * New upstream release
  * debian/control:
    - Bump build-depends on libglib2.0-dev, libgdk-pixbuf2.0-dev, libatk1.0-dev,
      gobject-introspection
    - Disable pixbuf engine, it is not provided by this version
  * debian/libgail3.0-0.symbols:
  * debian/libgtk3.0-0.symbols:
    - Updated
    - Mark symbols with stable version number
  * debian/rules:
    - Bump SHVER

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 14 Feb 2011 09:56:54 +1100

gtk+3.0 (2.99.3-0ubuntu1) natty; urgency=low

  [ Rico Tzschichholz ]
  * New upstream release
  * debian/patches:
    - refreshed as needed
    - 006_reenable_pixbuf_engine.patch dropped is upstream
    - 065_gir_set_packages.patch dropped is upstream
  * debian/libgtk3.0-dev.*, debian/rules:
    - remove gtk-builder-convert references
  * debian/libgtk3.0-0.symbols:
    - updated

  [ Michael Terry ]
  * debian/watch:
    - Fix regex and grab bz2 tarballs now that we're format 3.0

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Thu, 03 Feb 2011 12:58:11 -0500

gtk+3.0 (2.99.2-1ubuntu3) natty; urgency=low

  * debian/patches/043_ubuntu_menu_proxy.patch:
    - Update to proxy F10 presses to the global menu.  LP: #689178
  * debian/libgtk3.0-0.symbols:
    - Add new symbol ubuntu_gtk_menu_shell_activate_first

 -- Michael Terry <mterry@ubuntu.com>  Thu, 27 Jan 2011 10:01:43 -0500

gtk+3.0 (2.99.2-1ubuntu2) natty; urgency=low

  * debian/patches/065_gir_set_packages.patch
    - Added the package back and updated to fix build problems

 -- Ken VanDine <ken.vandine@canonical.com>  Thu, 20 Jan 2011 15:03:42 -0500

gtk+3.0 (2.99.2-1ubuntu1) natty; urgency=low

  [ Robert Ancell ]
  * Merge with Debian experimental, remaining Ubuntu changes:
  * debian/control:
    - Build-depend on dh-autoreconf
    - Move gtk-doc-tools from Build-Depends-Indep to Build-Depends as it is
      required by dh_autoreconf
    - Add Vcs-Bzr link
  * debian/libgtk2.0-0.symbols:
    - Add Ubuntu specific symbols
  * debian/rules:


=== debian/control ===
Source: gtk+3.0
Section: libs
Priority: optional
Maintainer: Ubuntu Desktop Team <ubuntu-desktop@lists.ubuntu.com>
XSBC-Original-Maintainer: Sebastien Bacher <seb128@debian.org>
Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
               cdbs (>= 0.4.90~),
               gnome-pkg-tools (>= 0.11),
               dpkg-dev (>= 1.13.19),
               dh-autoreconf,
               gettext,
               pkg-config,
               autotools-dev,
               gtk-doc-tools (>= 1.8),
               libglib2.0-dev (>= 2.28.0),
               libgdk-pixbuf2.0-dev (>= 2.22.1),
               libpango1.0-dev (>= 1.28.3-2),
               libatk1.0-dev (>= 1.32.0),
               libx11-dev (>= 2:1.3.3-2),
               libxext-dev (>= 2:1.1.1-3),
               libxi-dev (>= 2:1.3-4),
               libxrandr-dev (>= 1:1.2.99),
               libxt-dev,
               libxrender-dev (>= 1:0.9.5-2),
               libxft-dev,
               libxcursor-dev (>= 1:1.1.10-2),
               libxcomposite-dev (>= 1:0.2.0-3),
               libxdamage-dev (>= 1:1.0.1-3),
               libxkbfile-dev,
               libxinerama-dev (>= 2:1.1-3),
               libxfixes-dev (>= 1:3.0.0-3),
               libcairo2-dev (>= 1.10.0),
               x11proto-xext-dev,
               libcups2-dev (>= 1.2),
               gobject-introspection (>= 0.10.1),
               libgirepository1.0-dev (>= 0.10.1),
               gir1.2-glib-2.0,
               gir1.2-freedesktop,
               gir1.2-atk-1.0,
               gir1.2-pango-1.0,
               gir1.2-gdkpixbuf-2.0,
               gawk,
               xsltproc,
               shared-mime-info
Build-Depends-Indep: docbook-xml,
                     docbook-utils,
                     libglib2.0-doc,
                     libatk1.0-doc,
                     libpango1.0-doc,
                     libcairo2-doc
Standards-Version: 3.9.1
Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/gtk/ubuntugtk3
Homepage: http://www.gtk.org/

Package: libgtk-3-0
Architecture: any
Depends: libgtk-3-common,
         ${misc:Depends},
         ${shlibs:Depends},
         shared-mime-info
Provides: gtk3-binver-3.0.0
Recommends: hicolor-icon-theme,
            libgtk-3-bin
Suggests: librsvg2-common,
          gvfs
Conflicts: libgtk3.0-0
Replaces: libgtk3.0-0
Description: The GTK+ graphical user interface library
 The GTK+ is a multi-platform toolkit for creating graphical user
 interfaces. Offering a complete set of widgets, the GTK+ is suitable
 for projects ranging from small one-off tools to complete application
 suites.
 .
 This package contains the shared libraries.

Package: libgtk-3-0-udeb
XC-Package-Type: udeb
Section: debian-installer
Priority: extra
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Provides: gtk3-binver-3.0.0
Conflicts: libgtk3.0-0-udeb
Replaces: libgtk3.0-0-udeb
Description: The GTK+ graphical user interface library - minimal runtime
 This is a udeb, or a microdeb, for the debian-installer.
 .
 The GTK+ is a multi-platform toolkit for creating graphical user
 interfaces. Offering a complete set of widgets, the GTK+ is suitable
 for projects ranging from small one-off tools to complete application
 suites.
 .
 This package contains the minimal runtime library using X11 needed
 by the Debian installer.

Package: libgtk-3-common
Section: misc
Architecture: all
Depends: ${misc:Depends}
Recommends: libgtk-3-0
Conflicts: libgtk3.0-common
Replaces: libgtk3.0-common
Description: Common files for the GTK+ graphical user interface library
 The GTK+ is a multi-platform toolkit for creating graphical user
 interfaces. Offering a complete set of widgets, the GTK+ is suitable
 for projects ranging from small one-off tools to complete application
 suites.
 .
 This package contains the common files which the libraries need.

Package: libgtk-3-bin
Section: misc
Architecture: all
Depends: ${misc:Depends},
         libgtk-3-0 (>= ${source:Version}),
         libgtk-3-common
Conflicts: libgtk3.0-bin
Replaces: libgtk3.0-bin
Description: The programs for the GTK+ graphical user interface library
 The GTK+ is a multi-platform toolkit for creating graphical user
 interfaces. Offering a complete set of widgets, the GTK+ is suitable
 for projects ranging from small one-off tools to complete application
 suites.
 .
 This package contains the program files which is used for the libraries
 and others.

Package: libgtk-3-dev
Section: libdevel
Architecture: any
Depends: libgtk-3-0 (= ${binary:Version}),
         libgtk-3-common,
         ${misc:Depends},
         ${shlibs:Depends},
         libglib2.0-dev (>= 2.28.0),
         libgdk-pixbuf2.0-dev (>= 2.22.1),
         libpango1.0-dev (>= 1.20),
         libatk1.0-dev (>= 1.32.0),
         libcairo2-dev (>= 1.9.10),
         libx11-dev (>= 2:1.0.0-6),
         libxext-dev (>= 1:1.0.1-2),
         libxinerama-dev (>= 1:1.0.1-4.1),
         libxi-dev (>= 1:1.0.1-4),
         libxrandr-dev (>= 1:1.2.99),
         libxcursor-dev,
         libxfixes-dev (>= 1:3.0.0-3),
         libxcomposite-dev (>= 1:0.2.0-3),
         libxdamage-dev (>= 1:1.0.1-3),
         pkg-config,
         libxml2-utils
Recommends: python (>= 2.4),
            debhelper
Suggests: libgtk-3-doc
Conflicts: libgtk3.0-dev
Replaces: libgtk3.0-dev
Description: Development files for the GTK+ library
 The GTK+ is a multi-platform toolkit for creating graphical user
 interfaces. Offering a complete set of widgets, the GTK+ is suitable
 for projects ranging from small one-off tools to complete application
 suites.
 .
 This package contains the header files and static libraries which is
 needed for developing the GTK+ applications.

Package: libgtk-3-0-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libgtk-3-0 (= ${binary:Version}),
         libgtk-3-common,
         ${misc:Depends}
Conflicts: libgtk3.0-0-dbg
Replaces: libgtk3.0-0-dbg
Description: The GTK+ libraries and debugging symbols
 The GTK+ is a multi-platform toolkit for creating graphical user
 interfaces. Offering a complete set of widgets, the GTK+ is suitable
 for projects ranging from small one-off tools to complete application
 suites.
 .
 This package contains detached debugging symbols.
 .
 Most people will not need this package.

Package: libgtk-3-doc
Section: doc
Architecture: all
Depends: lynx | www-browser,
         ${misc:Depends}
Recommends: libglib2.0-doc,
            libatk1.0-doc,
            libpango1.0-doc
Conflicts: libgtk3.0-doc
Replaces: libgtk3.0-doc
Description: Documentation for the GTK+ graphical user interface library
 The GTK+ is a multi-platform toolkit for creating graphical user
 interfaces. Offering a complete set of widgets, the GTK+ is suitable
 for projects ranging from small one-off tools to complete application
 suites.
 .
 This package contains the HTML documentation for the GTK+ library
 in /usr/share/doc/libgtk-3-doc/ .

Package: gtk-3-examples
Section: x11
Priority: extra
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libgtk-3-0 (= ${binary:Version})
Conflicts: gtk-3.0-examples
Replaces: gtk-3.0-examples
Description: Examples files for GTK+ 3
 The GTK+ is a multi-platform toolkit for creating graphical user
 interfaces. Offering a complete set of widgets, the GTK+ is suitable
 for projects ranging from small one-off tools to complete application
 suites.
 .
 This package contains the examples files and a demonstration program
 for GTK+3.

#Package: gtk3-engines-pixbuf
#Section: graphics
#Architecture: any
#Depends: ${misc:Depends},
#         ${shlibs:Depends},
#         libgtk-3-0 (= ${binary:Version}),
#         libgtk-3-common
#Description: Pixbuf-based theme for GTK+ 3.x
# The GTK+ is a multi-platform toolkit for creating graphical user
# interfaces. Offering a complete set of widgets, the GTK+ is suitable
# for projects ranging from small one-off tools to complete application
# suites.
# .
# This package contains the pixbuf theme engine.

Package: gir1.2-gtk-3.0
Architecture: any
Depends: libgtk-3-common,
         ${misc:Depends},
         ${shlibs:Depends},
         ${gir:Depends}
Conflicts: gir1.0-gtk-3.0
Replaces: gir1.0-gtk-3.0
Description: The GTK+ graphical user interface library -- gir bindings
 The GTK+ is a multi-platform toolkit for creating graphical user
 interfaces. Offering a complete set of widgets, the GTK+ is suitable
 for projects ranging from small one-off tools to complete application
 suites.
 .
 This package can be used by other packages using the GIRepository format to
 generate dynamic bindings.

Package: libgail-3-0
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libgtk-3-0 (= ${binary:Version})
Conflicts: libgail3.0-0
Replaces: libgail3.0-0
Description: GNOME Accessibility Implementation Library -- shared libraries
 Gail implements ATK interfaces for GTK+ widgets which are dynamically
 loadable at runtime by a GTK+ application. Once loaded, those parts of
 an application that use standard GTK+ widgets will have a basic level
 of accessibility, without the need to modify the application at all.
 .
 This package contains the shared library.

Package: libgail-3-common
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libgail-3-0 (= ${binary:Version})
Conflicts: libgail3.0-common
Replaces: libgail3.0-common
Description: GNOME Accessibility Implementation Library -- common modules
 Gail implements ATK interfaces for GTK+ widgets which are dynamically
 loadable at runtime by a GTK+ application. Once loaded, those parts of
 an application that use standard GTK+ widgets will have a basic level
 of accessibility, without the need to modify the application at all.
 .
 This package contains core shared libraries.

Package: libgail-3-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
         libgail-3-0 (= ${binary:Version}),
         libgail-3-common (= ${binary:Version}),
         libgtk-3-dev (= ${binary:Version}),
         pkg-config,
         libatk1.0-dev (>= 1.13.0)
Suggests: libgail-3-doc
Conflicts: libgail3.0-dev
Replaces: libgail3.0-dev
Description: GNOME Accessibility Implementation Library -- development files
 Gail implements ATK interfaces for GTK+ widgets which are dynamically
 loadable at runtime by a GTK+ application. Once loaded, those parts of
 an application that use standard GTK+ widgets will have a basic level
 of accessibility, without the need to modify the application at all.
 .
 This package contains the development files for Gail.

Package: libgail-3-0-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ${misc:Depends}, libgail-3-0 (= ${binary:Version})
Recommends: libgtk-3-0-dbg
Conflicts: libgail3.0-0-dbg
Replaces: libgail3.0-0-dbg
Description: Gail libraries and debugging symbols
 Gail is the "GNOME Accessibility Implementation Library".
 .
 This package contains detached debugging symbols.
 .
 Most people will not need this package.

Package: libgail-3-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, lynx | www-browser
Conflicts: libgail3.0-doc
Replaces: libgail3.0-doc
Description: documentation files of the Gail library
 Gail implements ATK interfaces for GTK+ widgets which are dynamically
 loadable at runtime by a GTK+ application. Once loaded, those parts of
 an application that use standard GTK+ widgets will have a basic level
 of accessibility, without the need to modify the application at all.
 .
 This package contains the documentation files for Gail.

=== debian/rules ===
#!/usr/bin/make -f

DEB_BUILDDIR = debian/build
DEB_MAKE_DESTDIRSKEL = $(CURDIR)/debian/install/@FLAVOR@
DEB_MAKE_FLAVORS = shared shared_udeb static
DISABLE_UPDATE_UPLOADERS = 1

include /usr/share/cdbs/1/rules/autoreconf.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/gnome-pkg-tools/1/rules/clean-la.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
include /usr/share/gnome-pkg-tools/1/rules/check-dist.mk
include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

GNOME_MODULE = gtk+

# Ensure the build aborts when there are still references to undefined symbols
# currently fails at least in the im-multipress im module
#LDFLAGS += -Wl,-z,defs

# Make the linker work a bit harder so dynamic loading can be done faster
LDFLAGS += -Wl,-O1

APIVER := 3
SONAME := 0
SHVER := 3.0.0

ifneq (,$(findstring multiarch,$(DEB_BUILD_OPTIONS)))
LIBDIR := usr/lib/$(DEB_HOST_GNU_TYPE)
else
LIBDIR := usr/lib
endif

# earliest version that this release has backwards binary compatibility for
GTK_BINARY_VERSION := 3.0.0

# Gtk binary version virtual Provide
GTK_BINVER_DEP := gtk$(APIVER)-binver-$(GTK_BINARY_VERSION)

# relative base directory for configuration
CONFDIR := etc/gtk-3.0

# relative base directory for all types of modules
MODULES_BASE_PATH := $(LIBDIR)/gtk-3.0/$(GTK_BINARY_VERSION)

# package names
SHARED_PKG := libgtk-$(APIVER)-$(SONAME)
COMMON_PKG := libgtk-$(APIVER)-common
DEV_PKG := libgtk-$(APIVER)-dev
UDEB_PKG := $(SHARED_PKG)-udeb
DOC_PKG := libgtk-$(APIVER)-doc
BIN_PKG := libgtk-$(APIVER)-bin
DEBUG_PKG := $(SHARED_PKG)-dbg
EXAMPLES_PKG := gtk-$(APIVER)-examples
PIXBUF_PKG := gtk3-engines-pixbuf


# temporary directory for the minimal MIME cache generation
mimedir = debian/build-mime
mimexml = /usr/share/mime/packages/freedesktop.org.xml

DEB_CONFIGURE_EXTRA_FLAGS = \
			--libdir=/$(LIBDIR) \
			--enable-test-print-backend \
			--enable-xinput

DEB_CONFIGURE_FLAGS_shared = \
			--enable-shared \
			--enable-introspection=yes \
			--disable-static

DEB_CONFIGURE_FLAGS_shared_udeb = \
			--enable-introspection=no \
			--disable-xcomposite \
			--disable-xdamage \
			--disable-xfixes \
			--disable-xrandr

DEB_CONFIGURE_FLAGS_static = \
			--with-included-loaders=yes \
			--enable-introspection=no \
			--disable-modules \
			--disable-shared \
			--enable-static

DEB_MAKE_CHECK_TARGET = -k check || true
DEB_INSTALL_DOCS_$(DOC_PKG) += -X.in
DEB_DH_MAKESHLIBS_ARGS_ALL += -X$(MODULES_BASE_PATH)
DEB_DH_MAKESHLIBS_ARGS_$(SHARED_PKG) += -V --add-udeb=$(UDEB_PKG) -- -c4
DEB_DH_MAKESHLIBS_ARGS_libgail-3-0 += -V"libgail-3-0 (>= $(SHVER)), libgail-3-common (>= $(SHVER))" -- -c4
DEB_DH_FIXPERMS_ARGS_ALL += -X$(LIBDIR)/$(SHARED_PKG)
DEB_DH_STRIP_ARGS = --dbg-package=$(if $(findstring libgail,$(cdbs_curpkg)),libgail-3-0-dbg,$(DEBUG_PKG))
DEB_DH_STRIP_ARGS_$(UDEB_PKG) = --dbg-package=

# macro computing the list of 'debian/<pkg>.*" files which have a
# corresponding ".in" file; pass the list of packages in $(1)
dh_subst_files = $(patsubst %.in,%,$(wildcard $(addprefix debian/, $(addsuffix *.in, $(1)))))

debian/%: debian/%.in
	dh_testdir
	sed \
		-e "s#@SONAME@#$(SONAME)#g" \
		-e "s#@APIVER@#$(APIVER)#g" \
		-e "s#@VERSION@#$(DEB_UPSTREAM_VERSION)#g" \
		-e "s#@GTK_BINVER_DEP@#$(GTK_BINVER_DEP)#g" \
		-e "s#@SHARED_PKG@#$(SHARED_PKG)#g" \
		-e "s#@COMMON_PKG@#$(COMMON_PKG)#g" \
		-e "s#@DEV_PKG@#$(DEV_PKG)#g" \
		-e "s#@UDEB_PKG@#$(UDEB_PKG)#g" \
		-e "s#@DOC_PKG@#$(DOC_PKG)#g" \
		-e "s#@BIN_PKG@#$(BIN_PKG)#g" \
		-e "s#@DEBUG_PKG@#$(DEBUG_PKG)#g" \
		-e "s#@EXAMPLES_PKG@#$(EXAMPLES_PKG)#g" \
		-e "s#@PIXBUF_PKG@#$(PIXBUF_PKG)#g" \
		-e "s#@GNOME_TEAM@#$(UPLOADERS)#g" \
		-e "s#@GTK_BINARY_VERSION@#$(GTK_BINARY_VERSION)#g" \
		-e "s#@LIBDIR@#$(LIBDIR)#g" \
		-e 's#@OPTLIBDIR@#$(OPTLIBDIR)#g' \
		-e 's#@CONFDIR@#$(CONFDIR)#g' \
		-e "s#@MODULES_BASE_PATH@#$(MODULES_BASE_PATH)#g" \
		$@.in > $@

clean:: debian/control
	# gross kludge to force control generation with the %.in target
	touch debian/control.in
	rm -rf $(mimedir)
	rm -f $(call dh_subst_files,$(DEB_ALL_PACKAGES))

# Add dependencies to generate files from the debian/*.in ones
build-indep: $(call dh_subst_files,$(DEB_INDEP_PACKAGES))
build-arch: $(call dh_subst_files,$(DEB_ARCH_PACKAGES))

binary-install/$(SHARED_PKG)::
	# Install the binaries with a -3.0 suffix
	mv debian/$(SHARED_PKG)/$(LIBDIR)/$(SHARED_PKG)/gtk-update-icon-cache \
	   debian/$(SHARED_PKG)/$(LIBDIR)/$(SHARED_PKG)/gtk-update-icon-cache-3.0

binary-install/$(BIN_PKG)::
	# Install the binaries with a -3.0 suffix
	mv debian/$(BIN_PKG)/usr/share/man/man1/gtk-update-icon-cache.1 \
	   debian/$(BIN_PKG)/usr/share/man/man1/gtk-update-icon-cache-3.0.1

binary-install/$(UDEB_PKG)::
	# generate a minimal MIME cache for the udeb
	mkdir -p $(mimedir)/packages
	[ -f $(mimexml) ]
	xsltproc -nonet debian/keep-png-only.xsl $(mimexml) \
		> $(mimedir)/packages/png.freedesktop.org.xml
	update-mime-database $(mimedir)
	dh_install -p$(UDEB_PKG) $(mimedir)/mime.cache usr/share/mime

list-missing:
	# FIXME: remove this when CDBS' list-missing works with multiple flavors
	perl -w debian/dh_listmissing.pl $(foreach f,$(DEB_MAKE_FLAVORS),debian/install/$(f)) 2>&1 | \
	    egrep -v '(\.la|$(LIBDIR)/gtk-3.0/$(GTK_BINARY_VERSION)/[^/]+/[^/]+\.a) has been installed' >&2

=== debian/watch ===
version=3
http://download.gnome.org/sources/gtk+/([\d\.]+\d)/ \
	gtk\+-(.*)\.tar\.bz2

## gtk+3.0 3.2.0

=== debian/changelog ===
gtk+3.0 (3.2.0-0ubuntu6) oneiric-proposed; urgency=low

  * Add git_push_error_traps_around_xiquerydevice_calls.patch:
    git backport to handle session errors after suspend/resume. This may help
    against the crashes at resume time that some people have been hitting when
    input devices mysteriously disappear. (LP: #882956) 

 -- Ayan George <ayan.george@canonical.com>  Fri, 03 Feb 2012 12:02:39 -0500

gtk+3.0 (3.2.0-0ubuntu5) oneiric-proposed; urgency=low

  * Add git_cell_area_editing.patch: Fix signal emission for cell areas when
    clicking a different widget after editing. Patch backported from newer GTK
    versions. (LP: #898114)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 23 Jan 2012 15:32:42 +0100

gtk+3.0 (3.2.0-0ubuntu4) oneiric-proposed; urgency=low

  * debian/patches/git_fix_appchooser_segfault.patch,
    debian/patches/git_fix_appchooser_button_segfault.patch:
    - git backports to fix segfaults in gtk_app_chooser (lp: #864249, #861605)
  * debian/patches/git_empty_grid_calculation.patch:
    - git backport to fix glade segfaults on treeviews edition (lp: #868658)

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 12 Dec 2011 21:43:01 +0100

gtk+3.0 (3.2.0-0ubuntu3) oneiric-proposed; urgency=low

  * debian/patches/043_ubuntu_menu_proxy.patch: Fix menu accelerator
    support for UI generated with GtkBuilder or using GtkMenus
    submenus. Instead of using the gtk_widget_get_visible() function
    we check for the internal shown variable as it represents the
    real state (LP: #849732)

 -- Marco Trevisan (Treviño) <3v1n0@ubuntu.com>  Sat, 15 Oct 2011 04:44:23 +0200

gtk+3.0 (3.2.0-0ubuntu2) oneiric; urgency=low

  * debian/patches/043_ubuntu_menu_proxy.patch: Fix mnemonic
    support to activate remote menus (LP: #821290)

 -- Ted Gould <ted@ubuntu.com>  Mon, 03 Oct 2011 10:50:58 +0100

gtk+3.0 (3.2.0-0ubuntu1) oneiric; urgency=low

  * New upstream version
  * debian/rules: updated shlibs version to the current symbols one

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 26 Sep 2011 16:04:59 +0200

gtk+3.0 (3.1.92-0ubuntu1) oneiric; urgency=low

  * New upstream bug fix release.
  * Drop 000git_updates_since_3.1.90.patch
  * Refresh patches.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 21 Sep 2011 16:14:01 +0200

gtk+3.0 (3.1.90-0ubuntu1) oneiric; urgency=low

  * New upstream bug fix release.
  * Add 000git_updates_since_3.1.90.patch: Upstream changes since 3.1.90, to
    get as close to 3.1.91 as we can:
    - 3 small bug fixes.
    - 4 translation updates.
  * 101_gdkenumtypes.c_location.patch: Update to the current version sent to
    upstream, which also works with distcheck.
  * debian/libgtk-3-0.symbols: Update for new upstream version. Note that
    some gtk_font_chooser_*() symbols got dropped, but they only existed since
    3.1.12. Only gtkmm3.0 references them, and no gtkmm3.0 rdepends uses that
    API.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 15 Sep 2011 06:44:26 +0200

gtk+3.0 (3.1.18-0ubuntu3) oneiric; urgency=low

  * debian/patches/111_no_offscreen_device_grabs.patch: Do not allow 
    widgets in an offscreen hiearchy to make grabs. Required to fix 
    LP: #804009. Thanks Robert Carr

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 12 Sep 2011 17:33:08 +0200

gtk+3.0 (3.1.18-0ubuntu2) oneiric; urgency=low

  * Add 101_gdkenumtypes.c_location.patch: Always generate gdk/gdkenumtypes.c
    in the source tree, and fix path in the introspection sources. With this,
    gdkenumtypes.c is correctly included with separate build trees, too. This
    fixes missing GTypes in the .gir when using a separate build tree.
    (LP: #769256)
  * Ship pregenerated documentation from upstream tarball again:
    - debian/rules: Drop --enable-gtk-doc again.
    - debian/control.in: Move gtk-doc-tools back to B-D-I.
    - debian/libgtk-3-doc.install.in, debian/libgail-3-doc.install: Update
      origins to install from source tree.
    - (LP: #842543)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 08 Sep 2011 12:45:18 +0200

gtk+3.0 (3.1.18-0ubuntu1) oneiric; urgency=low

  * New upstream release.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 06 Sep 2011 09:21:59 +0200

gtk+3.0 (3.1.16-0ubuntu2) oneiric; urgency=low

  * debian/control.in: Move gtk-doc-tools from B-D-I to B-D, to avoid having
    to add a dynamic "i386 or not" check to debian/rules.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 05 Sep 2011 13:39:09 +0200

gtk+3.0 (3.1.16-0ubuntu1) oneiric; urgency=low

  * New upstream release.
  * Port debian/patches/043_ubuntu_menu_proxy.patch for new upstream version.
  * Unfuzz patches.
  * debian/control.in: Bump libatk1.0-dev build dependency as per upstream
    configure.ac.
  * Drop 101_css_provider_load_from_data_crash.patch, applied upstream.
  * debian/rules: Explicitly build with --enable-gtk-doc for shared build.
  * debian/libgtk-3-0.symbols: Add new symbols from this release.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 05 Sep 2011 13:01:21 +0200

gtk+3.0 (3.1.12-0ubuntu2) oneiric; urgency=low

  * debian/patches/101_css_provider_load_from_data_crash.patch:
    - Fix crash when passing load_from_data a length argument, as the
      Python bindings do.  LP: #831812

 -- Michael Terry <mterry@ubuntu.com>  Thu, 25 Aug 2011 14:52:16 -0400

gtk+3.0 (3.1.12-0ubuntu1) oneiric; urgency=low

  * New upstream version, clean patches backported from git
  * debian/control.in: 
    - updated gdk-pixbuf requirement
  * debian/rules:
    - updated shlibs version
  * debian/libgtk-3-0.symbols:
    - new version update
  * debian/patches/093_no_deprecated.patch:
    - don't build tests with DGTK_DISABLE_DEPRECATED to workaround build issues

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 16 Aug 2011 16:08:06 +0200

gtk+3.0 (3.1.10-0ubuntu3) oneiric; urgency=low

  * debian/patches/001_git_combobox_entry_style_class.patch
    - add a "combobox-entry" style class for comboboxes with entries



=== debian/control ===
--- 
+++ 
@@ -3,20 +3,18 @@
 Priority: optional
 Maintainer: Ubuntu Desktop Team <ubuntu-desktop@lists.ubuntu.com>
 XSBC-Original-Maintainer: Sebastien Bacher <seb128@debian.org>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>
-Build-Depends: debhelper (>= 7.0.50~),
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Build-Depends: debhelper (>= 8),
                cdbs (>= 0.4.90~),
                gnome-pkg-tools (>= 0.11),
-               dpkg-dev (>= 1.13.19),
                dh-autoreconf,
                gettext,
                pkg-config,
                autotools-dev,
-               gtk-doc-tools (>= 1.8),
-               libglib2.0-dev (>= 2.28.0),
-               libgdk-pixbuf2.0-dev (>= 2.22.1),
-               libpango1.0-dev (>= 1.28.3-2),
-               libatk1.0-dev (>= 1.32.0),
+               libglib2.0-dev (>= 2.29.13),
+               libgdk-pixbuf2.0-dev (>= 2.23.5),
+               libpango1.0-dev (>= 1.29),
+               libatk1.0-dev (>= 2.1.5),
                libx11-dev (>= 2:1.3.3-2),
                libxext-dev (>= 2:1.1.1-3),
                libxi-dev (>= 2:1.3-4),
@@ -34,22 +32,15 @@
                x11proto-xext-dev,
                libcups2-dev (>= 1.2),
                gobject-introspection (>= 0.10.1),
-               libgirepository1.0-dev (>= 0.10.1),
-               gir1.2-glib-2.0,
-               gir1.2-freedesktop,
-               gir1.2-atk-1.0,
-               gir1.2-pango-1.0,
-               gir1.2-gdkpixbuf-2.0,
-               gawk,
-               xsltproc,
-               shared-mime-info
-Build-Depends-Indep: docbook-xml,
+               libgirepository1.0-dev (>= 0.10.1)
+Build-Depends-Indep: gtk-doc-tools (>= 1.8),
+                     docbook-xml,
                      docbook-utils,
                      libglib2.0-doc,
                      libatk1.0-doc,
                      libpango1.0-doc,
                      libcairo2-doc
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/gtk/ubuntugtk3
 Homepage: http://www.gtk.org/
 
@@ -58,7 +49,8 @@
 Depends: libgtk-3-common,
          ${misc:Depends},
          ${shlibs:Depends},
-         shared-mime-info
+         shared-mime-info,
+         libglib2.0-0 (>= 2.29.13)
 Provides: gtk3-binver-3.0.0
 Recommends: hicolor-icon-theme,
             libgtk-3-bin
@@ -66,9 +58,9 @@
           gvfs
 Conflicts: libgtk3.0-0
 Replaces: libgtk3.0-0
-Description: The GTK+ graphical user interface library
- The GTK+ is a multi-platform toolkit for creating graphical user
- interfaces. Offering a complete set of widgets, the GTK+ is suitable
+Description: GTK+ graphical user interface library
+ GTK+ is a multi-platform toolkit for creating graphical user
+ interfaces. Offering a complete set of widgets, GTK+ is suitable
  for projects ranging from small one-off tools to complete application
  suites.
  .
@@ -84,11 +76,11 @@
 Provides: gtk3-binver-3.0.0
 Conflicts: libgtk3.0-0-udeb
 Replaces: libgtk3.0-0-udeb
-Description: The GTK+ graphical user interface library - minimal runtime
+Description: GTK+ graphical user interface library - minimal runtime
  This is a udeb, or a microdeb, for the debian-installer.
  .
- The GTK+ is a multi-platform toolkit for creating graphical user
- interfaces. Offering a complete set of widgets, the GTK+ is suitable
+ GTK+ is a multi-platform toolkit for creating graphical user
+ interfaces. Offering a complete set of widgets, GTK+ is suitable
  for projects ranging from small one-off tools to complete application
  suites.
  .
@@ -102,9 +94,9 @@
 Recommends: libgtk-3-0
 Conflicts: libgtk3.0-common
 Replaces: libgtk3.0-common
-Description: Common files for the GTK+ graphical user interface library
- The GTK+ is a multi-platform toolkit for creating graphical user
- interfaces. Offering a complete set of widgets, the GTK+ is suitable
+Description: common files for the GTK+ graphical user interface library
+ GTK+ is a multi-platform toolkit for creating graphical user
+ interfaces. Offering a complete set of widgets, GTK+ is suitable
  for projects ranging from small one-off tools to complete application
  suites.
  .
@@ -118,25 +110,26 @@
          libgtk-3-common
 Conflicts: libgtk3.0-bin
 Replaces: libgtk3.0-bin
-Description: The programs for the GTK+ graphical user interface library
- The GTK+ is a multi-platform toolkit for creating graphical user
- interfaces. Offering a complete set of widgets, the GTK+ is suitable
- for projects ranging from small one-off tools to complete application
- suites.
- .
- This package contains the program files which is used for the libraries
- and others.
+Description: programs for the GTK+ graphical user interface library
+ GTK+ is a multi-platform toolkit for creating graphical user
+ interfaces. Offering a complete set of widgets, GTK+ is suitable
+ for projects ranging from small one-off tools to complete application
+ suites.
+ .
+ This package contains the utilities which are used by the libraries
+ and other packages.
 
 Package: libgtk-3-dev
 Section: libdevel
 Architecture: any
 Depends: libgtk-3-0 (= ${binary:Version}),
+         gir1.2-gtk-3.0 (= ${binary:Version}),
          libgtk-3-common,
          ${misc:Depends},
          ${shlibs:Depends},
          libglib2.0-dev (>= 2.28.0),
          libgdk-pixbuf2.0-dev (>= 2.22.1),
-         libpango1.0-dev (>= 1.20),
+         libpango1.0-dev (>= 1.24),
          libatk1.0-dev (>= 1.32.0),
          libcairo2-dev (>= 1.9.10),
          libx11-dev (>= 2:1.0.0-6),
@@ -155,14 +148,14 @@
 Suggests: libgtk-3-doc
 Conflicts: libgtk3.0-dev
 Replaces: libgtk3.0-dev
-Description: Development files for the GTK+ library
- The GTK+ is a multi-platform toolkit for creating graphical user
- interfaces. Offering a complete set of widgets, the GTK+ is suitable
- for projects ranging from small one-off tools to complete application
- suites.
- .
- This package contains the header files and static libraries which is
- needed for developing the GTK+ applications.
+Description: development files for the GTK+ library
+ GTK+ is a multi-platform toolkit for creating graphical user
+ interfaces. Offering a complete set of widgets, GTK+ is suitable
+ for projects ranging from small one-off tools to complete application
+ suites.
+ .
+ This package contains the header files and static libraries which are
+ needed for developing GTK+ applications.
 
 Package: libgtk-3-0-dbg
 Section: debug
@@ -173,9 +166,9 @@
          ${misc:Depends}
 Conflicts: libgtk3.0-0-dbg
 Replaces: libgtk3.0-0-dbg
-Description: The GTK+ libraries and debugging symbols
- The GTK+ is a multi-platform toolkit for creating graphical user
- interfaces. Offering a complete set of widgets, the GTK+ is suitable
+Description: GTK+ libraries and debugging symbols
+ GTK+ is a multi-platform toolkit for creating graphical user
+ interfaces. Offering a complete set of widgets, GTK+ is suitable
  for projects ranging from small one-off tools to complete application
  suites.
  .
@@ -193,9 +186,9 @@
             libpango1.0-doc
 Conflicts: libgtk3.0-doc
 Replaces: libgtk3.0-doc
-Description: Documentation for the GTK+ graphical user interface library
- The GTK+ is a multi-platform toolkit for creating graphical user
- interfaces. Offering a complete set of widgets, the GTK+ is suitable
+Description: documentation for the GTK+ graphical user interface library
+ GTK+ is a multi-platform toolkit for creating graphical user
+ interfaces. Offering a complete set of widgets, GTK+ is suitable
  for projects ranging from small one-off tools to complete application
  suites.
  .
@@ -211,13 +204,13 @@
          libgtk-3-0 (= ${binary:Version})
 Conflicts: gtk-3.0-examples
 Replaces: gtk-3.0-examples
-Description: Examples files for GTK+ 3
- The GTK+ is a multi-platform toolkit for creating graphical user
+Description: example files for GTK+ 3
+ GTK+ is a multi-platform toolkit for creating graphical user
  interfaces. Offering a complete set of widgets, the GTK+ is suitable
  for projects ranging from small one-off tools to complete application
  suites.
  .
- This package contains the examples files and a demonstration program
+ This package contains the example files and a demonstration program
  for GTK+3.
 
 #Package: gtk3-engines-pixbuf
@@ -227,9 +220,9 @@
 #         ${shlibs:Depends},
 #         libgtk-3-0 (= ${binary:Version}),
 #         libgtk-3-common
-#Description: Pixbuf-based theme for GTK+ 3.x
-# The GTK+ is a multi-platform toolkit for creating graphical user
-# interfaces. Offering a complete set of widgets, the GTK+ is suitable
+#Description: pixbuf-based theme for GTK+ 3.x
+# GTK+ is a multi-platform toolkit for creating graphical user
+# interfaces. Offering a complete set of widgets, GTK+ is suitable
 # for projects ranging from small one-off tools to complete application
 # suites.
 # .
@@ -243,9 +236,9 @@
          ${gir:Depends}
 Conflicts: gir1.0-gtk-3.0
 Replaces: gir1.0-gtk-3.0
-Description: The GTK+ graphical user interface library -- gir bindings
- The GTK+ is a multi-platform toolkit for creating graphical user
- interfaces. Offering a complete set of widgets, the GTK+ is suitable
+Description: GTK+ graphical user interface library -- gir bindings
+ GTK+ is a multi-platform toolkit for creating graphical user
+ interfaces. Offering a complete set of widgets, GTK+ is suitable
  for projects ranging from small one-off tools to complete application
  suites.
  .

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,6 @@
 include /usr/share/cdbs/1/class/gnome.mk
 include /usr/share/gnome-pkg-tools/1/rules/clean-la.mk
 include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
-include /usr/share/gnome-pkg-tools/1/rules/check-dist.mk
 include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk
 
 GNOME_MODULE = gtk+
@@ -25,7 +24,7 @@
 
 APIVER := 3
 SONAME := 0
-SHVER := 3.0.0
+SHVER := 3.1.90
 
 ifneq (,$(findstring multiarch,$(DEB_BUILD_OPTIONS)))
 LIBDIR := usr/lib/$(DEB_HOST_GNU_TYPE)
@@ -56,10 +55,6 @@
 EXAMPLES_PKG := gtk-$(APIVER)-examples
 PIXBUF_PKG := gtk3-engines-pixbuf
 
-
-# temporary directory for the minimal MIME cache generation
-mimedir = debian/build-mime
-mimexml = /usr/share/mime/packages/freedesktop.org.xml
 
 DEB_CONFIGURE_EXTRA_FLAGS = \
 			--libdir=/$(LIBDIR) \
@@ -125,7 +120,6 @@
 clean:: debian/control
 	# gross kludge to force control generation with the %.in target
 	touch debian/control.in
-	rm -rf $(mimedir)
 	rm -f $(call dh_subst_files,$(DEB_ALL_PACKAGES))
 
 # Add dependencies to generate files from the debian/*.in ones
@@ -142,15 +136,6 @@
 	mv debian/$(BIN_PKG)/usr/share/man/man1/gtk-update-icon-cache.1 \
 	   debian/$(BIN_PKG)/usr/share/man/man1/gtk-update-icon-cache-3.0.1
 
-binary-install/$(UDEB_PKG)::
-	# generate a minimal MIME cache for the udeb
-	mkdir -p $(mimedir)/packages
-	[ -f $(mimexml) ]
-	xsltproc -nonet debian/keep-png-only.xsl $(mimexml) \
-		> $(mimedir)/packages/png.freedesktop.org.xml
-	update-mime-database $(mimedir)
-	dh_install -p$(UDEB_PKG) $(mimedir)/mime.cache usr/share/mime
-
 list-missing:
 	# FIXME: remove this when CDBS' list-missing works with multiple flavors
 	perl -w debian/dh_listmissing.pl $(foreach f,$(DEB_MAKE_FLAVORS),debian/install/$(f)) 2>&1 | \
